Problem z Mesa/Wine/.exe

Nie jestem pewien czego dotyczy problem więc, chronologicznie, opiszę sytuację:

Wczoraj miałem dużą zbiorczą aktualizację. Aktualizował się także wine (z 6.4-1 do 6.5-2).
Pod wine korzystam z programu MetaTrader4, który składa się m.in. ze składnika metaeditor.exe. Jeszcze 2 dni temu (gdy miałem wine 6.4-1) korzystałem z tej opcji i wszystko działo poprawnie.
Po aktualizacji systemu (w tym wine do 6.5-2) i restarcie sprzętu pojawiły się następujące problemy:

  • przed pierwszym uruchomieniem nowej wersji Wine , pojawiło się tradycyjne okienko: “Aktualizacja Wine. Proszę czekać…”. Trwało to ok 20 min (zawsze wcześniej było to poniżej 1 minuty), po czym program inicjujący Wine - MetaTrader4 w końcu się uruchomił. Jednak opisane okienko informacyjne było otwarto do samego końca działania wine (normalnie samo się zamykało po kilku/nastu sek.)
  • Z poziomu MetaTrader4 nie udało się uruchomić składnika metaeditor.exe (co wcześniej zawsze było możliwe).
    W logach MetaTrader4 pojawia się natomiast wpis: “MetaEditor not found” - co nie jest zgodne z prawdą.
    W linuksowym menadżerze zadań pojawia się tylko na kilka sekund proces metaeditor.exe i znika.
  • Alternatywna próba ręcznego uruchomienia tego składnika (co wcześniej było możliwe) kończyła się błędem:
wine metaeditor.exe
0024:err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
0024:fixme:ole:CoInitializeSecurity 00000000, -1, 00000000, 00000000, 0, 3, 00000000, 0, 00000000 stub
0024:err:winediag:wined3d_dll_init Setting multithreaded command stream to 0.
0024:fixme:wbemprox:client_security_SetBlanket 62EA37B0, 001D06E0, 10, 0, (null), 3, 3, 00000000, 0x00000000
0024:fixme:wbemprox:client_security_Release 62EA37B0
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  0 ()
  Serial number of failed request:  287
  Current serial number in output stream:  287
  • znalazłem info, że ten błąd może być związany z brakiem składnika z pakietu samba. Pakiet ten doinstalowałem, jednak ciągle jest trochę podobny błąd, choć inny:
wine metaeditor.exe
0024:fixme:ole:CoInitializeSecurity 00000000, -1, 00000000, 00000000, 0, 3, 00000000, 0, 00000000 stub
0024:err:winediag:wined3d_dll_init Setting multithreaded command stream to 0.
0024:fixme:wbemprox:client_security_SetBlanket 62EA37B0, 001C77D8, 10, 0, (null), 3, 3, 00000000, 0x00000000
0024:fixme:wbemprox:client_security_Release 62EA37B0
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  0 ()
  Serial number of failed request:  287
  Current serial number in output stream:  287
  • Zatem zrobiłem sudo downgrade wine (do 6.4-1 , gdzie wcześniej wszystko działało).
    W tracie downgrade był jeszcze błąd:
1/1) sprawdzanie konfliktów plików                [######################] 100%
błąd:  nie udało się dokonać transakcji (konfliktujące pliki)
wine: /etc/fonts/conf.d/30-win32-aliases.conf znajduje się w systemie plików
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.
  • Ale po roboczej zmianie nazwy tego pliku (mam nadzieję nieistotnego) dowgrade Wine do 6.4-1 się udał. Jednak tym razem, także dla tej wersji wine (pod którą wcześniej wszystko działo) pojawiły się wyżej opisane problemy i błędy.

  • Sprawdziłem też podobny błąd występuje obecnie gdy próbuję uruchomić instalator MetaTrader4:

wine mt4setup.exe
0024:fixme:ole:CoInitializeSecurity 00000000, -1, 00000000, 00000000, 0, 3, 00000000, 0, 00000000 stub
0024:err:winediag:wined3d_dll_init Setting multithreaded command stream to 0.
0024:fixme:wbemprox:client_security_SetBlanket 62EA37B0, 001BE088, 10, 0, (null), 3, 3, 00000000, 0x00000000
0024:fixme:wbemprox:client_security_Release 62EA37B0
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  0 ()
  Serial number of failed request:  265
  Current serial number in output stream:  265
  • Natomiast gdy testowałem inne pliki *.exe oraz stary instalator (z 2017 roku), to tych problemów nie było!

  • Powyższe problemy występują także na nowym kliencie.

  • Natomiast na starym laptopie, z Archem 32-bit i wine 5.14 powyższe problemy nie występują!

Zatem nie wiem, jak rozwiązać ten problem i czy dotyczy wine, czy może innego (z ok 100 upgradowanych wczoraj pakietów)?
Być może ktoś ma jakiś pomysł?

A może ktoś ma zainstalowany MetaTrader4 (od dowolnego brokera) i mógłby sprawdzić, czy uruchamia mu się metaeditor.exe pod aktualnym wine?

A może ktoś zechciałby ściągnąć instalator MetaTrader4 (plik mt4setup.exe - 1,3 MB) - za co z góry serdecznie dziękuję - i sprawdziłby, czy pojawi się cokolwiek poza błędami, które pokazałem?

Edit:
Zmieniłem temat, bo okazało się, że nie Wine ale mesa było źródłem problemu.

Sprawdziłem i z tego co widzę na tej stronie są dwie wersje programu: MetaTrader5 i MetaTrader4. 5 działa u mnie bez problemów, 4 nie testowałem – chce ode mnie jakichś danych podczas instalacji, więc odpuściłem. Testowane na wine 6.4 z Lutrisa. Tak btw, zamiast bawić się w downgrade wine lepiej skorzystać z Lutrisa – masz całkiem sporo wersji wine do wyboru (no i nic nie stoi na przeszkodzie, żeby mieć kilka jednocześnie). To platforma nie tylko do gier, ale także do uruchamiania wszelkiego rodzaju aplikacji windowsowych.

MetaTrader4 (pod pomarańczową belką " Download MetaTrader 4 for PC and create a demo account".

Nie chodzi mi o instalację do końca, ale tylko samo spróbowanie, czy pojawi się początkowa tablica MetaTrader4, która powinna wyglądać jakoś tak (bo u mnie nic się nie pojawia):

Jeśli o to chodzi to tak, pojawia się podobne okienko.

Dzięki. Czy to problem mojego sprzętu i wine,
Wspólnym mianownikiem błędów jest:
X Error of failed request: GLXBadFBConfig
Może uda mi się coś znaleźć.

Edit:
Chyba nie tylko ja mam ten problem po ostatniej aktualizacji :frowning:

Edit2:
Tymczasowym rozwiązaniem jest ustawienie zmiennej środowiskowej
MESA_GL_VERSION_OVERRIDE=4.4
(lub =4.5 )

Jeśli się to ustawi z poziomu katalogu z plikiem program.exe za pomocą instrukcji: export MESA_GL_VERSION_OVERRIDE=4.4 , to uruchomieniem wine program.exe będzie działać poprawnie w danym katalogu i w czasie danej sesji.

Najlepiej jednak ustawić zmienną globalną.
Kierując się Archwiki, dodałem wpis: MESA_GL_VERSION_OVERRIDE=4.4 do pliku /etc/environment i w ten sposób nie mam już wcześniej pokazanych błędów, w żadnym z tych przypadków.

Edit3:
Powyższe rozwiązanie (…=4.4) rozwiązywało problem pod Wine jednak okazało się, że generuje problemy z chromium, opera (i może innymi pakietami).

Była wprawdzie aktualizacja Mesa (do 21.0.2) i miała rozwiązać ten problem, ale, przynajmniej u mnie, go nie rozwiązała.

Za to wpis MESA_GL_VERSION_OVERRIDE=4.5 działa lepiej, bo nie ma problemów z przeglądarkami.

forum.manjaro.pl - polskie wsparcie Manjaro. Hostowane przez: vpsadmin - hosting Discourse